{
  lib,
  pkgs,
  ...
}: {
  imports = [];

  fileSystems."/" = {
    device = "root";
    fsType = "tmpfs";
    options = ["size=1G" "mode=755"];
  };
  # Different than usual names in order to automount other VMs
  fileSystems."/persist" = {
    device = "/dev/disk/by-label/nixosNodens";
    fsType = "btrfs";
    options = ["subvol=persist"];
    neededForBoot = true;
  };
  fileSystems."/boot" = {
    device = "/dev/disk/by-label/bootNodens";
    fsType = "ext4";
  };
  fileSystems."/nix" = {
    device = "/dev/disk/by-label/nixosNodens";
    fsType = "btrfs";
    options = ["subvol=nix"];
  };

  #  swapDevices = [{device = "/dev/disk/by-uuid/TODO";}];

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
}
